
package de.ivu.elect.was.exchange.ergebnis;

import java.util.Collection;

import de.ivu.elect.business.security.Customer;
import de.ivu.elect.business.stimmeingabe.entity.Ergebniseingabestatus;
import de.ivu.elect.business.wahl.entity.NlWahlart;
import de.ivu.elect.business.wahl.entity.Wahl;
import de.ivu.elect.was.exchange.ergebnis.csv.AbstractNlWasOsvXxCsvNachGebietErgebniseingabestatusExportMapper;

public abstract class AbstractNlWasModelN11OsvXxCsvExportMapper extends AbstractNlWasOsvXxCsvNachGebietErgebniseingabestatusExportMapper implements NlWasModelN11ExportMapper {

  protected AbstractNlWasModelN11OsvXxCsvExportMapper() {
    super();
  }

  @Override
  protected boolean isAcceptWahlebene(Wahl wahl, Customer customer) {
    return NlWasModelN11ExportMapperHelper.isAcceptWahlebene(wahl, customer);
  }

  @Override
  protected Collection<NlWahlart> collectWahlartenAccepted() {
    return NlWasModelN11ExportMapperHelper.collectWahlartenAccepted();
  }

  @Override
  protected boolean isAcceptWahlergebniserfassung(Wahl wahl, Customer customer) {
    return NlWasModelN11ExportMapperHelper.isAcceptWahlergebniserfassung(wahl, customer);
  }

  @Override
  protected Collection<Ergebniseingabestatus> collectErgebniseingabestatusAccepted() {
    return NlWasModelN11ExportMapperHelper.collectErgebniseingabestatusAccepted();
  }
}
